Namespace
library
Image / Tag
consul:1.13.4
Content Digest
sha256:d8ac1e333b4dd8326c0650fb7e7d884227ce3bd020c3c9cdeaf27a04543fc3ff
Details
Created

2022-12-01 19:39:09 UTC

Size

48.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 5.58% (2.7 MB)

[#001] sha256:7177299877adf2fc004e8c9ca1dbe96ffda8732e083324160e839dd91456b38e - 0.0% (1.21 KB)

[#002] sha256:324c8f86d6d33f4703e7892552ddd4197533ff2a07460744d20a7d7665f1f6db - 94.42% (45.7 MB)

[#003] sha256:92df99a8b6d7798eaee2f595ec1652d0560d35d45f57951f08523e4479bd80b8 - 0.0% (142 Bytes)

[#004] sha256:167bbc43da7edb9b66ed040e7930084e61645c626185e692ae7d4aa67e262a6b - 0.0% (154 Bytes)

[#005] sha256:9fff46d1a9e0575fd4f3ebd23001ea3f1cf69ed78e12a05165d99b06a4603422 - 0.0% (1.75 KB)


History
2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /

2022-08-09 17:38:47 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-12-01 19:38:51 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.4

2022-12-01 19:38:51 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-12-01 19:38:52 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-12-01 19:38:53 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-12-01 19:39:00 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-12-01 19:39:01 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-12-01 19:39:02 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-12-01 19:39:03 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-12-01 19:39:04 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-12-01 19:39:05 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-12-01 19:39:06 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-12-01 19:39:08 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-12-01 19:39:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-12-01 19:39:09 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-12-01 19:19:55 UTC

Size

49.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 5.45% (2.69 MB)

[#001] sha256:f704c5c7407419236fec20086dbfbba25437675ab5ee5066cad9ee64e3fc5a4c - 0.0% (1.24 KB)

[#002] sha256:6af4b4e8bd825452958f05aeb8b7ab9ca9ebb498d023d05a2f937b4d43c9291d - 94.55% (46.8 MB)

[#003] sha256:5362781d3f576e0d8c12da2c4dcd0a9d9ae848b8d3cfe7f7c57ba2225e26f0e9 - 0.0% (175 Bytes)

[#004] sha256:820fd821f29d355d8c91937edc66cda2291d192c089ef1f7b01e3fa2be3b87e1 - 0.0% (154 Bytes)

[#005] sha256:e1293ec9cd7aaae0c70738fcba3beadd9e04b218e467d5e8c2e451ca58803454 - 0.0% (1.75 KB)


History
2022-08-09 17:20:00 UTC

/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /

2022-08-09 17:20:01 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-12-01 19:19:47 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.4

2022-12-01 19:19:47 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-12-01 19:19:47 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-12-01 19:19:48 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-12-01 19:19:53 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-12-01 19:19:54 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-12-01 19:19:55 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-12-01 19:19:55 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-12-01 19:19:55 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-12-01 19:19:55 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-12-01 19:19:55 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-12-01 19:19:55 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-12-01 19:19:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-12-01 19:19:55 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-12-01 18:49:48 UTC

Size

47.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 5.32% (2.51 MB)

[#001] sha256:45942d0a05af7d6f2068730fd569fc8733577e603871b11fdfd374a070e49436 - 0.0% (1.21 KB)

[#002] sha256:a92fd861e85a2597fe8d15018b051a4698b0e5b6024bd9f1f269684fe54fe582 - 94.67% (44.6 MB)

[#003] sha256:88015292fd5d509b84340f7d425769076f211fda32426777832202a695ae3d7b - 0.0% (142 Bytes)

[#004] sha256:c6ca5117bd648e6063e5e292a85a196064cc85ce940ff1b28b74ebdbfd2bf365 - 0.0% (154 Bytes)

[#005] sha256:65264676bca2daabce6c62e17580f48a81695e44d4e466f558caff125d581cac - 0.0% (1.75 KB)


History
2022-11-10 20:49:36 UTC

/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /

2022-11-10 20:49:36 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-12-01 18:49:38 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.4

2022-12-01 18:49:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-12-01 18:49:39 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-12-01 18:49:39 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-12-01 18:49:46 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-12-01 18:49:47 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-12-01 18:49:47 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-12-01 18:49:47 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-12-01 18:49:47 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-12-01 18:49:48 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-12-01 18:49:48 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-12-01 18:49:48 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-12-01 18:49:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-12-01 18:49:48 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-12-01 19:39:48 UTC

Size

46.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.4

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 5.55% (2.59 MB)

[#001] sha256:689745f190c551102e8649c93682d96e49abf90e0cf4203cf2ba4b4a6459fce5 - 0.0% (1.24 KB)

[#002] sha256:c00677390c1fbceb57460cb38f14ccae599aa27dbbbde5b9fe6bf15cae6c5e7a - 94.45% (44.1 MB)

[#003] sha256:33685d4ed2597d16a56371b1421df1261ac5ebc2f1fed8f6be95124d4a22b01c - 0.0% (174 Bytes)

[#004] sha256:e19723cdb688380bf9ee411993895f94c54203b15cfdc8fafdd464bbb47bc121 - 0.0% (153 Bytes)

[#005] sha256:b1ad46308416a78476f6364ebdb0a2e113058c6a1597e267441c848c8a93a09e - 0.0% (1.75 KB)


History
2022-11-10 20:39:46 UTC

/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /

2022-11-10 20:39:46 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-12-01 19:39:40 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.4

2022-12-01 19:39:40 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.4 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-12-01 19:39:40 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-12-01 19:39:41 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-12-01 19:39:46 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-12-01 19:39:47 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-12-01 19:39:47 UTC

|1 CONSUL_VERSION=1.13.4 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-12-01 19:39:47 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-12-01 19:39:47 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-12-01 19:39:48 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-12-01 19:39:48 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-12-01 19:39:48 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-12-01 19:39:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-12-01 19:39:48 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]